Debian Automated Code Analysis

checkbashisms analysis of nemerle_0.9.3+dfsg-3.dsc

possible bashism in ./snippets/opengl/run line 5 (time):
time mono ../../ncc/out.stage3/ncc.exe -r Tao.OpenGl.dll -r Tao.Sdl.dll "$@" || exit 1
possible bashism in ./configure line 143 (<<< here string):
    echo "<<<<<<<<<<<<<<<" >> $config_log
possible bashism in ./configure line 777 ('((' should be '$(('):
if (($? < 126)); then
possible bashism in ./configure line 783 ('((' should be '$(('):
  if ((res < 126 && res != 2)); then
possible bashism in ./configure line 784 ('((' should be '$(('):
    if ((m_major > 1 || m_major == 1 && m_minor > 2 || m_major == 1 && m_minor == 1 && m_revision > 14)); then
possible bashism in ./misc/packages/unix-binary/uninstall-nemerle.sh.head line 3 (should be 'b = a'):
if [ "$1" == "--dont-ask" ] ; then
possible bashism in ./misc/packages/unix-binary/uninstall-nemerle.sh.head line 40 (brace expansion):
rm -f "$install_bindir"/{ncc,cs2n,nemish}{,.exe}
possible bashism in ./ncc/testsuite/run2 line 7 (time):
time $ENGINE $NETFLAGS ../out.stage2/ncc.exe -ignore-confusion -bar+ -no-stdlib -r ../out.stage2/Nemerle.stage2 -r:System "$@" || exit 1
possible bashism in ./ncc/testsuite/run2 line 8 (time):
time $ENGINE $NETFLAGS ./out.exe || echo "Non zero exit code."
possible bashism in ./ncc/testsuite/run line 7 (time):
time $ENGINE $NETFLAGS ../out.stage1/ncc.exe -ignore-confusion -bar+ -no-stdlib -r ../out.stage1/Nemerle.stage1 -r:System "$@" || exit 1
possible bashism in ./ncc/testsuite/run line 8 (time):
time $ENGINE $NETFLAGS ./out.exe $OUT_ARGS || echo "Non zero exit code."
possible bashism in ./ncc/testsuite/run1.5 line 7 (time):
time $ENGINE $NETFLAGS ../out.stage1/ncc.exe -ignore-confusion -bar+ -no-stdlib -r ../out.stage2/Nemerle.stage2 -r:System "$@" || exit 1
possible bashism in ./ncc/testsuite/run1.5 line 8 (time):
time $ENGINE $NETFLAGS ./out.exe || echo "Non zero exit code."

This report was generated on Thu, 16 Dec 2010 14:38:13 +0000, based on results by checkbashisms 2.10.65git5